Bug 624356 - man not removed via. obsoletes from man-db (and conflicts also)
man not removed via. obsoletes from man-db (and conflicts also)
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: yum (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F14Target
  Show dependency treegraph
 
Reported: 2010-08-16 02:53 EDT by Nicolas Mailhot
Modified: 2014-01-21 18:16 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:36:00 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Nicolas Mailhot 2010-08-16 02:53:29 EDT
Description of problem:
Examining /var/tmp/yum-root-WLPNz4/man-db-2.5.7-4.fc14.x86_64.rpm: man-db-2.5.7-4.fc14.x86_64
Marking /var/tmp/yum-root-WLPNz4/man-db-2.5.7-4.fc14.x86_64.rpm as an update to man-db-2.5.7-3.fc14.x86_64
Resolving Dependencies
--> Running transaction check
---> Package man-db.x86_64 0:2.5.7-4.fc14 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package    Arch       Version            Repository                       Size
================================================================================
Updating:
 man-db     x86_64     2.5.7-4.fc14       /man-db-2.5.7-4.fc14.x86_64     2.6 M

Transaction Summary
================================================================================
Upgrade       1 Package(s)

Total size: 2.6 M
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
man conflicts with man-db-2.5.7-4.fc14.x86_64
Please report this error in http://yum.baseurl.org/report
 You could try running: rpm -Va --nofiles --nodigest

Version-Release number of selected component (if applicable):
yum-3.2.28-3.fc14.noarch
Comment 1 James Antill 2010-08-16 17:16:18 EDT
Changing summary to what I think is happening, hopefully can test it in a bit...

Probably doesn't need to be a blocker though, Nicolas can you confirm that it works with a normal repo. pkg?

Also, is it possible for someone to change the conflict not to be unversioned?
Comment 2 Nicolas Mailhot 2010-08-17 01:19:48 EDT
It fails the same if the package is downloaded and put in a local file:// repository yum knows about
Comment 3 Nicolas Mailhot 2010-08-17 01:20:43 EDT
LANG=C yum update  --skip-broken --nogpgcheck
Loaded plugins: downloadonly, refresh-packagekit
Setting up Update Process
Resolving Dependencies
--> Running transaction check
---> Package man-db.x86_64 0:2.5.7-4.fc14 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

======================================================================================================================================================================
 Package                               Arch                                  Version                                       Repository                            Size
======================================================================================================================================================================
Updating:
 man-db                                x86_64                                2.5.7-4.fc14                                  local                                671 k

Transaction Summary
======================================================================================================================================================================
Upgrade       1 Package(s)

Total download size: 671 k
Is this ok [y/N]: y
Downloading Packages:
Running rpm_check_debug
ERROR with rpm_check_debug vs depsolve:
man conflicts with man-db-2.5.7-4.fc14.x86_64
Please report this error in http://yum.baseurl.org/report
 You could try running: rpm -Va --nofiles --nodigest
Comment 4 Nicolas Mailhot 2010-08-17 01:29:31 EDT
Probably: man-db  obsoletes man (any version) and started providing it in 2.5.7-4.fc14. rpm depsolver refuses that, while yum accepts it
Comment 5 James Antill 2010-08-17 10:10:25 EDT
Ok, not sure what is going on ... it appeared to do the right thing when I installed man-db here, what version of man-db do you have installed?
Comment 6 Nicolas Mailhot 2010-08-17 12:48:35 EDT
man-db-2.5.7-3.fc14.x86_64
man-pages-3.25-1.fc14.noarch
man-pages-fr-3.23-3.fc13.noarch
rpm-4.8.1-5.fc14.x86_64
rpm-build-4.8.1-5.fc14.x86_64
rpm-libs-4.8.1-5.fc14.x86_64
rpm-python-4.8.1-5.fc14.x86_64
yum-3.2.28-3.fc14.noarch
yum-metadata-parser-1.1.4-2.fc14.x86_64
yum-plugin-downloadonly-1.1.28-1.fc14.noarch
Comment 7 Nicolas Mailhot 2010-08-17 12:49:28 EDT
$ rpm -Va man* yum* rpm-* rpm
S.5....T.  c /etc/yum.conf
$
Comment 8 James Antill 2010-08-18 23:06:56 EDT
 This is an "interesting" bug, I can't reproduce much of it:

1. On my rawhide test box I don't have man installed already (man-db-2.5.7-2).

2. man-db-2.5.7-3 obsoletes "man < 2.0" and conflicts with "man".

3. I can't upgrade or install man-db*-4 from a file without yum wanting to remove man, no matter what I do (this is a bug).

4. I can't install man after man-db is installed without using --force --nodeps, as it has the3 conflict and a bunch of file conflicts.

5. If I do #3 and turn obsoletes processing off (and fix the bug), and then do the upgrade ... I get an error from yum saying there is a conflict (and telling me there is an existing conflict in the rpmdb).
Comment 9 Nicolas Mailhot 2010-08-19 02:14:54 EDT
BTW I do regular syncs with the F14 would-be updates, so I probably didn't jump from man to man-db-2.5.7-3.fc14.x86_64 directly, but installed intermediate iterations (and yum itself has changed several times during this period)
Comment 10 Fedora End Of Life 2012-08-16 16:36:05 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.